CREATE TABLE fnd_rra_customer_addresses (
    CUSTOMER_ADDRESS_ID      NUMBER(18, 0),
    CUSTOMER_ID              NUMBER(18, 0)    NOT NULL,
    ADDRESS_LINE1            VARCHAR2(960),
    ADDRESS_LINE2            VARCHAR2(960),
    ADDRESS_LINE3            VARCHAR2(960),
    ADDRESS_LINE4            VARCHAR2(960),
    CITY                     VARCHAR2(240),
    STATE                    VARCHAR2(240),
    PROVINCE                 VARCHAR2(240),
    COUNTY                   VARCHAR2(240),
    POSTAL_CODE              VARCHAR2(240),
    COUNTRY                  VARCHAR2(8)      NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CUSTOMER_ADDRESS_ID      NUMBER(18, 0),
    CUSTOMER_ID              NUMBER(18, 0)    NOT NULL,
    ADDRESS_LINE1            VARCHAR2(960),
    ADDRESS_LINE2            VARCHAR2(960),
    ADDRESS_LINE3            VARCHAR2(960),
    ADDRESS_LINE4            VARCHAR2(960),
    CITY                     VARCHAR2(240),
    STATE                    VARCHAR2(240),
    PROVINCE                 VARCHAR2(240),
    COUNTY                   VARCHAR2(240),
    POSTAL_CODE              VARCHAR2(240),
    COUNTRY                  VARCHAR2(8)      NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_fnd_rra_customer_addresses PRIMARY KEY (CUSTOMER_ADDRESS_ID, CUSTOMER_ADDRESS_ID)
);
